## kdepimlibs 4.8.2

=== CMakeLists.txt ===
project(kdepimlibs)

# where to look first for cmake modules. This line must be the first one or cmake will use the system's FindFoo.cmake
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")


############### The kdepimlibs version (used e.g. in KdepimLibsConfig.cmake) ###############
set(KDEPIMLIBS_VERSION_MAJOR 4)
set(KDEPIMLIBS_VERSION_MINOR 8)
set(KDEPIMLIBS_VERSION_PATCH 2)
set(KDEPIMLIBS_VERSION ${KDEPIMLIBS_VERSION_MAJOR}.${KDEPIMLIBS_VERSION_MINOR}.${KDEPIMLIBS_VERSION_PATCH})


############### search packages used by KDE ###############

# cmake would not find kde for xcompile if that is not set 
if(WINCE)
    set(KDE4_DATA_DIR "${CMAKE_PREFIX_PATH}/share/apps")
endif(WINCE)

set (QT_MIN_VERSION "4.7.0")
# kdepim depends on the latest released version of kdelibs, ie. 4.x kdepim depends on 4.x-1 kdelibs
find_package(KDE4 4.7.0 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(KDEPlatformProfile)


############### Desktop vs. Mobile options ##############

if (KDE_PLATFORM_PROFILE STREQUAL "Mobile")
  set(_default_mobile_ui TRUE)
else ()
  set(_default_mobile_ui FALSE)
endif ()


############### Build Options ###############

option(KDEPIM_ONLY_KLEO "Only build the libraries needed by Kleopatra." FALSE)
option(KDEPIM_NO_KRESOURCES "Build without legacy KResource support." ${KDE_PLATFORM_FEATURE_DISABLE_DEPRECATED})
option(KDEPIM_NO_KCAL "Build without legacy KCal." ${KDE_PLATFORM_FEATURE_DISABLE_DEPRECATED})
option(KDEPIM_MOBILE_UI "Build UI for mobile devices instead of for desktops" ${_default_mobile_ui})
option(STATIC_LIBRARY "Build kdepimlibs as static libraries." FALSE)

############### Load the CTest options ###############
# Setting DART_TESTING_TIMEOUT has no effect on the tests timeout,
# the timeout value must be changed directly in DartConfiguration.tcl
set(_DartConfigFile "${CMAKE_BINARY_DIR}/DartConfiguration.tcl")
if(EXISTS ${_DartConfigFile})
  set(DartTestingTimeout "120")
  file(READ ${_DartConfigFile} _DartConfigFile_content)
  string(REGEX REPLACE "TimeOut: 1500" "TimeOut: ${DartTestingTimeout}" _DartConfigFile_content ${_DartConfigFile_content})
  file(WRITE ${_DartConfigFile} ${_DartConfigFile_content})
endif()

# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_BINARY_DIR}/CTestCustom.cmake)


############### Find the stuff we need ###############

set(Boost_MINIMUM_VERSION "1.34.0")
if (WIN32)
  find_package(Boost ${Boost_MINIMUM_VERSION}) # (jstaniek) temp. fix unless we have graph library, not just headers
else (WIN32)
  find_package(Boost ${Boost_MINIMUM_VERSION} COMPONENTS graph)
endif (WIN32)
macro_log_feature(Boost_FOUND "Boost C++ Libraries" "Required by core components" "http://www.boost.org" TRUE ${Boost_MINIMUM_VERSION} "Boost must include the boost-graph library")



#FindGpgme.cmake already handles the log message but we must ensure it is required.
find_package(Gpgme REQUIRED)
# configure macros
if (GPGME_FOUND)
  include (gpgme++/ConfigureChecks.cmake)
endif (GPGME_FOUND)

if (NOT KDEPIM_ONLY_KLEO)
  #FindAkonadi.cmake is only there for compatibility reasons, but we don't want to use that.
  set(Akonadi_MIN_VERSION "1.5.52")
  find_package(Akonadi ${Akonadi_MIN_VERSION} QUIET NO_MODULE)
  macro_log_feature(Akonadi_FOUND "Akonadi server libraries" "Access to PIM storage and services" "http://pim.kde.org/akonadi" TRUE "${Akonadi_MIN_VERSION}" "")

  find_package(Sasl2)
  macro_log_feature(SASL2_FOUND "cyrus-sasl" "Login authentication for IMAP and Sieve" "http://asg.web.cmu.edu/sasl/sasl-library.html" TRUE "" "")
  include (ConfigureChecks.cmake)

  set(SHARED_MIME_INFO_MINIMUM_VERSION "0.30")
  find_package(SharedMimeInfo)
  macro_log_feature(SHARED_MIME_INFO_FOUND "shared-mime-info" "Information about filetypes" "http://freedesktop.org/wiki/Software/shared-mime-info" TRUE "0.30" "")

  set(SDO_MIN_VERSION 0.2)
  set(SOPRANO_MIN_VERSION 2.3.70)

  find_package(SharedDesktopOntologies ${SDO_MIN_VERSION})
  macro_log_feature(SHAREDDESKTOPONTOLOGIES_FOUND "Shared desktop ontologies" "Ontology information for use with Nepomuk" "http://oscaf.sourceforge.net" TRUE "${SDO_MIN_VERSION}" "")

  find_package(Soprano)
  if (NOT WINCE)
    macro_log_feature(Soprano_FOUND "Soprano" "Storage of semantic data" "http://soprano.sourceforge.net" TRUE "${SOPRANO_MIN_VERSION}" "")
  else(NOT WINCE)
    macro_log_feature(Soprano_FOUND "Soprano" "Storage of semantic data" "http://soprano.sourceforge.net" FALSE "${SOPRANO_MIN_VERSION}" "")
  endif (NOT WINCE)
  if (Soprano_FOUND AND NOT WINCE)
  include(SopranoAddOntology)
  endif (Soprano_FOUND AND NOT WINCE)

  find_package(Nepomuk)
  if (WINCE)
    macro_log_feature(Nepomuk_FOUND "Nepomuk" "Support for the semantic desktop, including indexing of PIM data" "http://www.kde.org" FALSE "" "Nepomuk is part of kdelibs")
  else(WINCE)
    macro_log_feature(Nepomuk_FOUND "Nepomuk" "Support for the semantic desktop, including indexing of PIM data" "http://www.kde.org" TRUE "" "Nepomuk is part of kdelibs")
  endif (WINCE)

  set(LIBICAL_MIN_VERSION "0.42")
  find_package(Libical)
  macro_log_feature(LIBICAL_FOUND "libical" "Calendar support" "http://sourceforge.net/projects/freeassociation" TRUE "${LIBICAL_MIN_VERSION}" "Needed by the kcal and kcalcore libraries")

endif (NOT KDEPIM_ONLY_KLEO)

############### Needed commands before building anything ###############

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

if (KDEPIM_MOBILE_UI)
  add_definitions( -DKDEPIM_MOBILE_UI )
endif (KDEPIM_MOBILE_UI)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${Boost_INCLUDE_DIR})

if (KDEPIM_NO_KRESOURCES)
  add_definitions(-DKDEPIM_NO_KRESOURCES)
endif (KDEPIM_NO_KRESOURCES)
if (KDEPIM_NO_KCAL)
  add_definitions(-DKDEPIM_NO_KCAL)
endif (KDEPIM_NO_KCAL)

if(WINCE)
  set(STATIC_LIBRARY ON)
  add_definitions(-DKDELIBS_STATIC_LIBS)
endif(WINCE)

if(STATIC_LIBRARY)
  set(LIBRARY_TYPE STATIC)
  add_definitions(-DKDEPIM_STATIC_LIBS)
  message(STATUS "Building kdepimlibs as static libraries")
else(STATIC_LIBRARY)
  set(LIBRARY_TYPE SHARED)
endif(STATIC_LIBRARY)


############### Now, we add the KDEPIMLibs components ###############
# These targets will always be built
add_subdirectory(cmake)
add_subdirectory(gpgme++)
add_subdirectory(qgpgme)

if (NOT KDEPIM_ONLY_KLEO)
  add_subdirectory(kabc)
  add_subdirectory(kalarmcal)
  if (NOT KDEPIM_NO_KCAL)
    if (NOT WINCE)
    add_subdirectory(kblog)
    endif(NOT WINCE)
    add_subdirectory(kcal)
  endif (NOT KDEPIM_NO_KCAL)
  add_subdirectory(kcalcore)
  add_subdirectory(kcalutils)
  add_subdirectory(akonadi) # depends on kabc is build
  add_subdirectory(kholidays)
  add_subdirectory(kimap)
  add_subdirectory(kioslave)
  add_subdirectory(kldap)
  add_subdirectory(kmbox)
endif (NOT KDEPIM_ONLY_KLEO)
  add_subdirectory(kmime)
if (NOT KDEPIM_ONLY_KLEO)
  add_subdirectory(kpimidentities)
  add_subdirectory(kpimutils)
  add_subdirectory(kpimtextedit)
  if (NOT KDEPIM_NO_KRESOURCES)
    add_subdirectory(kresources)
  endif (NOT KDEPIM_NO_KRESOURCES)
  add_subdirectory(ktnef)
  add_subdirectory(kxmlrpcclient)
  add_subdirectory(mailtransport)
  add_subdirectory(microblog)
  add_subdirectory(syndication)
  if (NOT WINCE)
  add_subdirectory(kontactinterface)
  endif (NOT WINCE)
  # Build the CamelCase headers
  add_subdirectory(includes)
endif (NOT KDEPIM_ONLY_KLEO)


# doc must be a subdir of kdepimlibs
macro_optional_add_subdirectory(doc)

# All done, let's display what we found...
macro_display_feature_log()


############### Here we install some extra stuff  ###############

if (NOT KDEPIM_ONLY_KLEO)
  install(FILES kdepimlibs-mime.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
  update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})
endif (NOT KDEPIM_ONLY_KLEO)


# now create the KdepimLibsConfig.cmake file, which will be loaded by
# kdelibs/cmake/modules/FindKdepimLibs.cmake and which has to contain all information
# about the installed kdepimlibs anybody would like to have. Alex

# we need the absolute directories where stuff will be installed too
# but since the variables which contain the destinations can be relative
# or absolute paths, we need this macro to make them all absoulte, Alex
macro(MAKE_INSTALL_PATH_ABSOLUTE out in)
   if (IS_ABSOLUTE "${in}")    # IS_ABSOLUTE is new since cmake 2.4.8
      set(${out} "${in}")
   else (IS_ABSOLUTE "${in}")
      set(${out} "\${KDEPIMLIBS_INSTALL_DIR}/${in}")
   endif (IS_ABSOLUTE "${in}")
endmacro(MAKE_INSTALL_PATH_ABSOLUTE out in)

# all the following variables are put into KdepimLibsConfig.cmake, so
# they are usable by projects using kdepimlibs. Alex
make_install_path_absolute(KDEPIMLIBS_DATA_DIR            ${DATA_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_DBUS_INTERFACES_DIR ${DBUS_INTERFACES_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_DBUS_SERVICES_DIR   ${DBUS_SERVICES_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_INCLUDE_DIR         ${INCLUDE_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_LIB_DIR             ${LIB_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_BIN_DIR             ${BIN_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_LIBEXEC_DIR         ${LIBEXEC_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SBIN_DIR            ${SBIN_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_HTML_DIR            ${HTML_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_CONFIG_DIR          ${CONFIG_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_ICON_DIR            ${ICON_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_KCFG_DIR            ${KCFG_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_LOCALE_DIR          ${LOCALE_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_MIME_DIR            ${MIME_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SOUND_DIR           ${SOUND_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_TEMPLATES_DIR       ${TEMPLATES_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_WALLPAPER_DIR       ${WALLPAPER_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_KCONF_UPDATE_DIR    ${KCONF_UPDATE_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_AUTOSTART_DIR       ${AUTOSTART_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_XDG_APPS_DIR        ${XDG_APPS_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_XDG_DIRECTORY_DIR   ${XDG_DIRECTORY_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SYSCONF_DIR         ${SYSCONF_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_MAN_DIR             ${MAN_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_INFO_DIR            ${INFO_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SERVICES_DIR        ${SERVICES_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SERVICETYPES_DIR    ${SERVICETYPES_INSTALL_DIR})

# Used in configure_file() and install(EXPORT)
set(KDEPIMLIBS_TARGET_PREFIX KDEPIMLibs__)

# this file is installed and contains all necessary information about the installed kdepimlibs, it also loads the file with the exported targets
configure_file(KdepimLibsConfig.cmake.in "${CMAKE_CURRENT_BINARY_DIR}/KdepimLibsConfig.cmake" @ONLY)

# this file will be installed too and will be used by cmake when searching for the Config.cmake file to check the version of kdepimlibs, Alex
macro_write_basic_cmake_version_file(${CMAKE_CURRENT_BINARY_DIR}/KdepimLibsConfigVersion.cmake
                                     ${KDEPIMLIBS_VERSION_MAJOR} ${KDEPIMLIBS_VERSION_MINOR} ${KDEPIMLIBS_VERSION_PATCH})

set(_KdepimLibsConfig_INSTALL_DIR ${LIB_INSTALL_DIR}/KdepimLibs/cmake)
# places where find_package() looks for FooConfig.cmake files:
# CMake >= 2.6.0 looks in lib/Foo*/cmake/, CMake >= 2.6.3 also looks in
# lib/cmake/Foo*/, which packagers prefer. So they can set the KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR

=== debian/changelog ===
kdepimlibs (4:4.8.2-0ubuntu2) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:32:02 +0100

kdepimlibs (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release
    - Add new symbol to libakonadi-contact4.symbols 

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 30 Mar 2012 19:51:53 +0200

kdepimlibs (4:4.8.1-0ubuntu1) precise; urgency=low

  [ Jonathan Kolberg ]
  * New upstream release

  [ Felix Geyer ]
  * Update symbols files.

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Wed, 07 Mar 2012 14:18:43 +0100

kdepimlibs (4:4.8.0a-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jan 2012 12:01:20 +0000

kdepimlibs (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Jan 2012 13:14:55 +0000

kdepimlibs (4:4.7.95-0ubuntu1) precise; urgency=low

  [ Philip Muškovac ]
  * New upstream release candidate
    - update kdepimlibs5-dev.install

  [ Felix Geyer ]
  * Update symbols files.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 23 Dec 2011 21:35:15 +0100

kdepimlibs (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release
  * Add packages libkalarmcal2 and libakonadi-notes4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Dec 2011 14:37:07 +0000

kdepimlibs (4:4.7.3-0ubuntu2) precise; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Build with versioned boost build-depends
    - Keep bumped KDE replace versions
    - Keep kdepimlibs5 transitional package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 14:27:58 +0000

kdepimlibs (4:4.7.2-0r1) UNRELEASED; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.2.
  * Bump build dependency on kdelibs5-dev to version 4:4.7.
  * Bump build dependency on libakonadi-dev to version 1.5.52.
  * Add libprison-dev to Build-Depends.
  * Update installed files.
  * Update symbols files.
  * Exclude kde-runtime from dh_shlibdeps results.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 09 Aug 2011 16:43:40 +0200

kdepimlibs (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Fri, 28 Oct 2011 19:32:28 +0200

=== debian/control ===
Source: kdepimlibs
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>,
 Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), dpkg-dev (>= 1.15.5),
 kdelibs5-dev (>= 4:4.7), libgpgme11-dev, libldap2-dev, libsasl2-dev,
 libboost1.46-dev, libboost-graph1.46-dev, shared-mime-info,
 libakonadi-dev (>= 1.5.52), libical-dev (>= 0.42),
 shared-desktop-ontologies (>= 0.2), libsoprano-dev, xsltproc, uuid-dev,
 libprison-dev
Standards-Version: 3.9.2
Homepage: http://pim.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepimlibs
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepimlibs
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdepimlibs.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdepimlibs.git

Package: kdepimlibs5
Section: libs
Architecture: any
Depends: ${misc:Depends}, kdepimlibs-kio-plugins (= ${binary:Version}),
 libakonadi-kabc4 (= ${binary:Version}), libakonadi-kde4 (= ${binary:Version}),
 libakonadi-kmime4 (= ${binary:Version}), libgpgme++2 (= ${binary:Version}),
 libkabc4 (= ${binary:Version}), libkblog4 (= ${binary:Version}),
 libkcal4 (= ${binary:Version}), libkholidays4 (= ${binary:Version}),
 libkimap4 (= ${binary:Version}), libkldap4 (= ${binary:Version}),
 libkmime4 (= ${binary:Version}), libkpimidentities4 (= ${binary:Version}),
 libkpimtextedit4 (= ${binary:Version}), libkpimutils4 (= ${binary:Version}),
 libkresources4 (= ${binary:Version}), libktnef4 (= ${binary:Version}),
 libkxmlrpcclient4 (= ${binary:Version}), libmailtransport4 (= ${binary:Version}),
 libmicroblog4 (= ${binary:Version}), libqgpgme1 (= ${binary:Version}),
 libsyndication4 (= ${binary:Version}), libkalarmcal2 (= ${binary:Version})
Description: KDE Development Platform PIM libraries (transitional package)
 This is a dummy package to ease transition to the new library packages.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 
Package: kdepimlibs5-dev
Section: libdevel
Architecture: any
Depends: ${sameVersionDep:kdelibs5-dev:libakonadi-kde4}, ${allLibraries}
Replaces: kdepimlibs-data (<< 4:4.1.80), libkleopatra1-dev, kdepimlibs5 (<< 4:4.4.85)
Breaks: kdepimlibs-data (<< 4:4.1.80), libkleopatra1-dev, kdepimlibs5 (<< 4:4.4.85)
Description: development files for the KDE Development Platform PIM libraries
 This package contains development files for building software that uses
 the KDE Development Platform Personal Information Management libraries.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: kdepimlibs-kio-plugins
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsasl2-modules
Replaces: kdepimlibs5 (<< 4:4.4.85), kdepimlibs-data
Breaks: kdepimlibs5 (<< 4:4.4.85), kdepimlibs-data
Description: kio slaves used by KDE PIM applications
 This package contains the imap4, ldap, mbox, nntp, pop3, sieve and smtp kio
 slaves.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-contact4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepim-runtime (<< 4:4.4.0)
Breaks: kdepim-runtime (<< 4:4.4.0)
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kabc4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.85), akonadi-kde (<< 4:4.1.80)
Breaks: kdepimlibs5 (<< 4:4.4.85), akonadi-kde (<< 4:4.1.80)
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kcal4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepim-runtime (<< 4:4.4.0), akonadi-kde (<< 4:4.1.80)
Breaks: kdepim-runtime (<< 4:4.4.0), akonadi-kde (<< 4:4.1.80)
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kde4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.85), kdepimlibs-data
Breaks: kdepimlibs5 (<< 4:4.4.85), kdepimlibs-data
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kmime4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.85), kdepimlibs-data
Breaks: kdepimlibs5 (<< 4:4.4.85), kdepimlibs-data
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libgpgme++2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.85)
Breaks: kdepimlibs5 (<< 4:4.4.85)
Description: c++ wrapper library for gpgme
 GpgME++ is a C++ wrapper (or C++ bindings) for the GnuPG project's gpgme
 (GnuPG Made Easy) library.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkabc4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.85), kdepimlibs-data
Breaks: kdepimlibs5 (<< 4:4.4.85), kdepimlibs-data
Description: library for handling address book data
 This library provides an API for address book data. It includes features
 such as:
  * Value based interface, addressbook entry data is implicitly shared.
  * Address book entries are identified by a unique id.
  * vCard backend (RFC 2425 / RFC 2426).
  * Locking mechanism to support concurrent access to the address book by
    multiple processes.
  * Notification on change of addressbook by other process.
  * Dialog for selecting address book entries, supports mouse and keyboard
    selection, supports automatic name completion.
  * GUI client for viewing, modifying address book data. This is aimed at
    developers not end users.
  * Tool for converting data, written with libkab, to libkabc format.
  * Multiple backends (resources) for storing entries e.g. LDAP
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkblog4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.85)
Breaks: kdepimlibs5 (<< 4:4.4.85)
Description: client-side support library for web application remote blogging APIs
 KBlog is a library for calling functions on Blogger 1.0, MetaWeblog,
 MovableType and GData compatible blogs. It calls the APIs using KXmlRpcClient
 and Syndication. It supports asynchronous sending and fetching of posts and,
 if supported on the server, multimedia files. Almost every modern blogging web
 application that provides an XML data interface supports one of the APIs
 mentioned above.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkalarmcal2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for handling alarm calendar data
 This library provides access to and handling of alarm calendar data.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkcal4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.85), kdepimlibs-data
Breaks: kdepimlibs5 (<< 4:4.4.85), kdepimlibs-data
Description: library for handling calendar data
 This library provides access to and handling of calendar data. It supports
 the standard formats iCalendar and vCalendar and the group scheduling
 standard iTIP.
 .
 This library integrates with the deprecated KResource framework, and its use
 is discouraged in favour of KCalCore and KCalUtils.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkcalcore4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for handling calendar data
 This library provides access to and handling of calendar data. It supports
 the standard formats iCalendar and vCalendar and the group scheduling
 standard iTIP.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkcalutils4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library with utility functions for the handling of calendar data
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkholidays4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.85), kdepimlibs-data
Breaks: kdepimlibs5 (<< 4:4.4.85), kdepimlibs-data
Description: holidays calculation library
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkimap4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsasl2-modules
Replaces: kdepimlibs5 (<< 4:4.4.85)
Breaks: kdepimlibs5 (<< 4:4.4.85)
Description: library for handling IMAP data
 This library provides an API for handling data received from IMAP services.
 IMAP (Internet Message Access Protocol) is one of the two most prevalent
 Internet standard protocols for e-mail retrieval.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkldap4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs5 (<< 4:4.4.0)
Description: library for accessing LDAP
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkmbox4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libkmbox
Breaks: libkmbox
Description: library for handling mbox mailboxes
 This is a library for handling mailboxes in mbox format, using a Qt/KMime C++
 API.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-calendar4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions for integrate the use of Akonadi calendar
 items in applications.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-notes4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library providing notes helpers for Akonadi items
 This library offers helper functions for integrate the use of Akonadi notes
 items in applications.
 .
 This package is part of the KDE Development Platform PIM libraries module.
